### Function

# Gimp message_set_handler

#### Declaration [src]

    gboolean
    gimp_message_set_handler (
      GimpMessageHandlerType handler
    )

#### Description [src]

Controls where warning messages are displayed.

This procedure controls how g_message warnings are displayed. They can be shown in a dialog box or printed on the console where gimp was started.

#### Parameters

`handler`

  Type: `GimpMessageHandlerType`

  The new handler type.

#### Return value

Type: `gboolean`

TRUE on success.